class ViewHook < Redmine::Hook::ViewListener
  def view_layouts_base_html_head(context={})
    stylesheet_tag = stylesheet_link_tag 'display_password_policy', :plugin => 'sidfm', :media => 'all'
    password_policy_settings_tag = hidden_field_tag 'sidfm_password_policy_settings', Sidfm.get_password_policy_settings.to_json
    js_tag = javascript_include_tag 'display_password_policy', :plugin => 'sidfm', :media => 'all'
    lost_password_page_url = url_for(:controller => :account, :action => :lost_password)
    my_page_password_change_url = url_for(:controller => :my, :action => :password)
    display_page_urls = [ lost_password_page_url, my_page_password_change_url ]
    display_page_urls_tag =  hidden_field_tag 'display_page_urls', display_page_urls.to_json 
    #return "#{stylesheet_tag}#{js_tag}#{password_policy_settings_tag}#{display_page_urls_tag}"
    welcome_page_js_tag = javascript_include_tag 'welcome_page', :plugin => 'sidfm', :media => 'all'
    sidfm_index_tag = hidden_field_tag 'sidfm_index_path', url_for(:controller => :sidfm, :action => :index), :disabled => 'disabled'
    welcome_page_url_tag = hidden_field_tag 'welcome_page_url_tag', url_for(:controller => :welcome, :action => :index), :disabled => 'disabled'
    user = User.current
    if user.type == 'AnonymousUser' || user.admin == true then
      is_link_to_sidfmvm_tag = hidden_field_tag 'is-link-to-sidfmvm-home', 'false', :disabled => 'disabled' 
    else
      is_link_to_sidfmvm_tag = hidden_field_tag 'is-link-to-sidfmvm-home', 'true', :disabled => 'disabled'
    end
    return "#{stylesheet_tag}#{js_tag}#{password_policy_settings_tag}#{display_page_urls_tag}#{welcome_page_js_tag}#{welcome_page_url_tag}#{sidfm_index_tag}#{is_link_to_sidfmvm_tag}"
  end
end
